Skip to main content
GET
/
customers
/
invitations
List pending customer invitations
curl --request GET \
  --url https://api.natural.co/customers/invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "din_550e8400e29b41d4a716446655440003",
      "type": "delegationInvitation",
      "attributes": {
        "party": null,
        "email": "pending@example.com",
        "status": "PENDING",
        "permissions": [
          "payments.read"
        ],
        "createdAt": "2026-01-11T08:30:00.000Z",
        "walletAvailableMinor": null,
        "walletAccess": "denied"
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:20

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

data
CustomerInvitationResource · object[]
required
meta
object
required